Package org.apache.qpid.proton.amqp.transaction

# Class Declare

java.lang.Object
org.apache.qpid.proton.amqp.transaction.Declare

public final class Declare extends Object

## Constructor Summary

Constructors
Constructor
Description
`Declare()`

## Method Summary

Modifier and Type
Method
Description
`GlobalTxId`
`getGlobalId()`
`void`
`setGlobalId(GlobalTxId globalId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Declare

public Declare()

## Method Details

### getGlobalId

public GlobalTxId getGlobalId()

### setGlobalId

public void setGlobalId(GlobalTxId globalId)

### toString

public String toString()

Overrides:
  `toString` in class `Object`